﻿.lang {
    max-width: 20px;
    max-height: 20px;
    margin-right: 8px;
    object-fit: cover;
}

.popup .popup-content.active,
.popup:hover .popup-content {
    visibility: visible;
    opacity: 1;
    transition: visibility 0s, opacity 0.5s;
}

.lang-box .lang-box {
    display: inline-block;
}

.lang-box .lang-popup {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 30px;
    left: -160px;
    width: 370px;
    z-index: 101;
    padding: 20px 20px 30px;
    border-radius: 8px;
    text-align: center;
    margin-right: 10px;
    background-color: rgba(255, 255, 255, 1);
    box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.1);
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s 0.5s, opacity 0.5s;
}

    .lang-box .lang-popup .lang-popup-item {
        display: flex;
        align-items: center;
        width: fit-content;
        border-radius: 8px;
        color: rgba(16, 16, 16, 1);
        font-size: 14px;
        padding: 7px 12px;
        cursor: pointer;
        float: left;
        margin-right: 16px;
        margin-top: 17px;
        background-color: rgba(255, 255, 255, 1);
        border: 1px solid rgba(219, 219, 219, 1);
        font-weight: 500;
    }

        .lang-box .lang-popup .lang-popup-item:hover {
            border-color: var(--main-color)
        }

        .lang-box .lang-popup .lang-popup-item img {
            max-width: 17px;
            max-height: 12px;
            margin-right: 10px;
        }

.lang-box .lang-title {
    color: #000000;
    font-size: 14px;
    font-weight: 600;
    text-align: left;
    padding-top: 6px;
    padding-bottom: 3px;
}


